%global gitdate 20131022
%global gitfullrev 08767aa863cd27d1755ba0aff65b8cc1a0c1446a
%global gitrev %(c=%{gitfullrev}; echo ${c:0:6})
Name:           urlview
Version:        0.9
Release:        24.%{gitdate}git%{gitrev}
Summary:        URL extractor from text files
License:        GPLv2+
URL:            https://github.com/sigpipe/urlview
Source0:        https://github.com/sigpipe/urlview/archive/%{gitrev}/urlview-%{gitrev}.tar.gz

BuildRequires:  gcc ncurses-devel

Patch1:         urlview-default.patch

%description
This packages is a curses program for extracting URLs from text files and
displaying a menu from which you can select a specific URL to view using
your favorite browser program.  It respects the BROWSER convention
(see <http://www.catb.org/~esr/BROWSER/>).

%package_help

%prep
%autosetup -n %{name}-%{gitfullrev} -p1

%build
%configure
%make_build

%install
mkdir -p %{buildroot}{%{_sysconfdir},%{_bindir},%{_mandir}/man{1,5}}
install -p -m644 urlview.conf.suse %{buildroot}%{_sysconfdir}/urlview.conf
install -p urlview url_handler.sh %{buildroot}%{_bindir}
install -p -m644 urlview.man %{buildroot}%{_mandir}/man1/urlview.1
echo '.so man1/urlview.1' > %{buildroot}%{_mandir}/man5/urlview.conf.5
echo '.so man1/urlview.1' > %{buildroot}%{_mandir}/man1/url_handler.sh.1

%files
%defattr(-,root,root)
%license AUTHORS COPYING
%doc ChangeLog README sample.urlview
%config(noreplace) %{_sysconfdir}/urlview.conf
%{_bindir}/urlview
%{_bindir}/url_handler.sh

%files help
%{_mandir}/man1/urlview.1*
%{_mandir}/man1/url_handler.sh.1*
%{_mandir}/man5/urlview.conf.5*

%changelog
* Thu Nov 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.9-24.20131022git08767a
- Package init
